
From: Pavel Machek <pavel@ucw.cz>

This fixes u32 vs. pm_message_t in pcmcia.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/au1000_generic.c |    2 +-
 25-akpm/drivers/pcmcia/hd64465_ss.c     |    2 +-
 25-akpm/drivers/pcmcia/m32r_cfc.c       |    2 +-
 25-akpm/drivers/pcmcia/m32r_pcc.c       |    2 +-
 25-akpm/drivers/pcmcia/pxa2xx_base.c    |    2 +-
 25-akpm/drivers/pcmcia/sa1100_generic.c |    2 +-
 25-akpm/drivers/pcmcia/sa1111_generic.c |    2 +-
 25-akpm/drivers/pcmcia/vrc4171_card.c   |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/pcmcia/au1000_generic.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/au1000_generic.c
--- 25/drivers/pcmcia/au1000_generic.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/au1000_generic.c	2005-04-02 13:36:56.000000000 -0800
@@ -518,7 +518,7 @@ static int au1x00_drv_pcmcia_probe(struc
 }
 
 
-static int au1x00_drv_pcmcia_suspend(struct device *dev, u32 state, u32 level)
+static int au1x00_drv_pcmcia_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/hd64465_ss.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/hd64465_ss.c
--- 25/drivers/pcmcia/hd64465_ss.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/hd64465_ss.c	2005-04-02 13:36:56.000000000 -0800
@@ -845,7 +845,7 @@ static void hs_exit_socket(hs_socket_t *
 	local_irq_restore(flags);
 }
 
-static int hd64465_suspend(struct device *dev, u32 state, u32 level)
+static int hd64465_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/m32r_cfc.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/m32r_cfc.c
--- 25/drivers/pcmcia/m32r_cfc.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/m32r_cfc.c	2005-04-02 13:36:56.000000000 -0800
@@ -743,7 +743,7 @@ static struct pccard_operations pcc_oper
 
 /*====================================================================*/
 
-static int m32r_pcc_suspend(struct device *dev, u32 state, u32 level)
+static int m32r_pcc_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/m32r_pcc.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/m32r_pcc.c
--- 25/drivers/pcmcia/m32r_pcc.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/m32r_pcc.c	2005-04-02 13:36:56.000000000 -0800
@@ -696,7 +696,7 @@ static struct pccard_operations pcc_oper
 
 /*====================================================================*/
 
-static int m32r_pcc_suspend(struct device *dev, u32 state, u32 level)
+static int m32r_pcc_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/pxa2xx_base.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/pxa2xx_base.c
--- 25/drivers/pcmcia/pxa2xx_base.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/pxa2xx_base.c	2005-04-02 13:36:56.000000000 -0800
@@ -205,7 +205,7 @@ int pxa2xx_drv_pcmcia_probe(struct devic
 }
 EXPORT_SYMBOL(pxa2xx_drv_pcmcia_probe);
 
-static int pxa2xx_drv_pcmcia_suspend(struct device *dev, u32 state, u32 level)
+static int pxa2xx_drv_pcmcia_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/sa1100_generic.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/sa1100_generic.c
--- 25/drivers/pcmcia/sa1100_generic.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/sa1100_generic.c	2005-04-02 13:36:56.000000000 -0800
@@ -75,7 +75,7 @@ static int sa11x0_drv_pcmcia_probe(struc
 	return ret;
 }
 
-static int sa11x0_drv_pcmcia_suspend(struct device *dev, u32 state, u32 level)
+static int sa11x0_drv_pcmcia_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int ret = 0;
 	if (level == SUSPEND_SAVE_STATE)
diff -puN drivers/pcmcia/sa1111_generic.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/sa1111_generic.c
--- 25/drivers/pcmcia/sa1111_generic.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/sa1111_generic.c	2005-04-02 13:36:56.000000000 -0800
@@ -158,7 +158,7 @@ static int __devexit pcmcia_remove(struc
 	return 0;
 }
 
-static int pcmcia_suspend(struct sa1111_dev *dev, u32 state)
+static int pcmcia_suspend(struct sa1111_dev *dev, pm_message_t state)
 {
 	return pcmcia_socket_dev_suspend(&dev->dev, state);
 }
diff -puN drivers/pcmcia/vrc4171_card.c~fix-u32-vs-pm_message_t-in-pcmcia drivers/pcmcia/vrc4171_card.c
--- 25/drivers/pcmcia/vrc4171_card.c~fix-u32-vs-pm_message_t-in-pcmcia	2005-04-02 13:36:56.000000000 -0800
+++ 25-akpm/drivers/pcmcia/vrc4171_card.c	2005-04-02 13:36:56.000000000 -0800
@@ -774,7 +774,7 @@ static int __devinit vrc4171_card_setup(
 
 __setup("vrc4171_card=", vrc4171_card_setup);
 
-static int vrc4171_card_suspend(struct device *dev, u32 state, u32 level)
+static int vrc4171_card_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int retval = 0;
 
_
